InvokeDynamicEntry (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.constantpool, interface: InvokeDynamicEntry
Keywords: java.lang.classfile.constantpool.InvokeDynamicEntry interface

# Interface InvokeDynamicEntry

All Superinterfaces:
  `ClassFileElementPREVIEW`, `DynamicConstantPoolEntryPREVIEW`, `PoolEntryPREVIEW`, `WritableElementPREVIEW<PoolEntryPREVIEW>`

public sealed interface InvokeDynamicEntry extends DynamicConstantPoolEntryPREVIEW
`InvokeDynamicEntry` is a preview API of the Java platform.
Programs can only use `InvokeDynamicEntry` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a constant pool entry for a dynamic call site.

See Java Virtual Machine Specification:
  4.4.10 The CONSTANT_Dynamic_info and CONSTANT_InvokeDynamic_info Structures
Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default DynamicCallSiteDesc`
  `asSymbol()`
  Returns a symbolic descriptor for the dynamic call site.
  `default MethodTypeDesc`
  `typeSymbol()`
  Returns a symbolic descriptor for the call site's invocation type.

  ### Methods declared in interface java.lang.classfile.constantpool.DynamicConstantPoolEntryPREVIEW

  `bootstrap, bootstrapMethodIndex, name, nameAndType, type`

  ### Methods declared in interface java.lang.classfile.constantpool.PoolEntryPREVIEW

  `constantPool, index, tag, width`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### typeSymbol

    default MethodTypeDesc typeSymbol()
    Returns a symbolic descriptor for the call site's invocation type.
    Returns:
      a symbolic descriptor for the call site's invocation type

  - ### asSymbol

    default DynamicCallSiteDesc asSymbol()
    Returns a symbolic descriptor for the dynamic call site.
    Returns:
      a symbolic descriptor for the dynamic call site